Debian 8 - error during pip upgrade

Hello,

i'm on debian 8 and i need to install a https certif.
i try the installation via PIP but when i'm on this step

/opt/certbot/bin/pip install --upgrade pip

Than I have always a error :
root@XXX:/opt/certbot/bin# /opt/certbot/bin/pip install --upgrade pip
Traceback (most recent call last):
File "/opt/certbot/bin/pip", line 7, in
from pip._internal.cli.main import main
File "/opt/certbot/lib/python3.4/site-packages/pip/init.py", line 1, in
from typing import List, Optional
ImportError: No module named 'typing'

Can somebody help me ?

2 Likes

Hi @Grazulex,

You need to be on Python 3.6 or newer to use the pip installation method.

Unfortunately as Debian 8 has been end-of-life since June 2020, the Certbot project does not support or provide installation instructions for this operating system.

You could try using pip to install one of the older releases of Certbot, which still supported whatever version of Python you have available in Debian 8. The changelog might come in handy to figure out which version that is.

4 Likes

Hello,
I have made manually the upgrade of python and everything is OK. Thanks

Jms

3 Likes

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.